com.holonplatform.spring.boot.internal

## Class SpringBootRestTemplateRestClientFactory

- java.lang.Object
- - com.holonplatform.spring.boot.internal.SpringBootRestTemplateRestClientFactory

- All Implemented Interfaces:
    RestClientFactory

      @Priority(value=200)
      public class SpringBootRestTemplateRestClientFactory
      extends Object
      implements RestClientFactory

  `RestClientFactory` to create `RestTemplateRestClient` instances.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.rest.RestClientFactory

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringBootRestTemplateRestClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RestClient` | `create(ClassLoader classLoader)` Create a new `RestClient` instance.
    `Class<?>` | `getRestClientImplementationClass()` Get the `RestClient` implementation class returned by this factory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringBootRestTemplateRestClientFactory

          public SpringBootRestTemplateRestClientFactory()

  - ### Method Detail

    - #### getRestClientImplementationClass

          public Class<?> getRestClientImplementationClass()

      Description copied from interface: `RestClientFactory`
      Get the `RestClient` implementation class returned by this factory.
      Specified by:
        `getRestClientImplementationClass` in interface `RestClientFactory`
      Returns:
        the `RestClient` implementation class

    - #### create

          public RestClient create(ClassLoader classLoader)
                            throws RestClientCreationException

      Description copied from interface: `RestClientFactory`
      Create a new `RestClient` instance.
      Specified by:
        `create` in interface `RestClientFactory`
      Parameters:
        `classLoader` - The `ClassLoader` for which the instance creation is requested
      Returns:
        A new `RestClient` instance
      Throws:
        `RestClientCreationException` - If an error occurred

Copyright © 2019 The Holon Platform. All rights reserved.